#
# spec file for package libcdio-paranoia
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sonum 2

Name:           libcdio-paranoia
Version:        10.2+0.93+1
Release:        150000.3.4.1
Summary:        CDDA reader
License:        GPL-3.0
Group:          Productivity/Multimedia/Other
Url:            http://savannah.gnu.org/projects/libcdio
Source0:        http://ftp.gnu.org/gnu/libcdio/libcdio-paranoia-%{version}.tar.gz
Source1:        baselibs.conf
Patch1:         libcdio-paranoia.libcdio_cddda-libs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libcdio)

%description
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from
he CDROM directly as data, with no analog step between, and writes
the data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%package -n cd-paranoia
Summary:        CDDA reader
Group:          Productivity/Multimedia/Other

%description -n cd-paranoia
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from
he CDROM directly as data, with no analog step between, and writes
the data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%package -n libcdio_cdda%{sonum}
Summary:        CDDA reader
Group:          System/Libraries

%description -n libcdio_cdda%{sonum}
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from
he CDROM directly as data, with no analog step between, and writes
the data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%package -n libcdio_paranoia%{sonum}
Summary:        CDDA reader
Group:          System/Libraries

%description -n libcdio_paranoia%{sonum}
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from
he CDROM directly as data, with no analog step between, and writes
the data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Languages/C and C++
Requires:       libcdio_cdda%{sonum} = %{version}-%{release}
Requires:       libcdio_paranoia%{sonum} = %{version}-%{release}
Requires:       pkgconfig(libcdio)

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch1 -p1
%define buildir ${PWD}

%build
%configure --disable-static --with-pic
make -e %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
mv %{buildroot}%{_mandir}/jp %{buildroot}%{_mandir}/ja
# I have no idea WTF upstream is trying to do. But most software currently
# expects the headers to be in %%{_includedir}/cdio/, not in %%{_includedir}/cdio/paranoia/
ln -s paranoia/cdda.h %{buildroot}%{_includedir}/cdio/cdda.h
ln -s paranoia/paranoia.h %{buildroot}%{_includedir}/cdio/paranoia.h

%post -n libcdio_cdda%{sonum} -p /sbin/ldconfig

%postun -n libcdio_cdda%{sonum} -p /sbin/ldconfig

%postun -n libcdio_paranoia%{sonum} -p /sbin/ldconfig

%post -n libcdio_paranoia%{sonum} -p /sbin/ldconfig

%files -n cd-paranoia
%defattr (-, root, root)
%doc COPYING README NEWS NEWS AUTHORS
%{_bindir}/cd-paranoia
%doc %{_mandir}/ja/man1/cd-paranoia.1.gz
%doc %{_mandir}/man1/cd-paranoia.1.gz

%files -n libcdio_cdda%{sonum}
%defattr (-, root, root)
%{_libdir}/libcdio_cdda.so.*

%files -n libcdio_paranoia%{sonum}
%defattr (-, root, root)
%{_libdir}/libcdio_paranoia.so.*

%files devel
%defattr (-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Dec 16 2015 olaf@aepfle.de
- Add BuildRoot: for SLE_11
* Fri Sep 18 2015 dimstar@opensuse.org
- Fix baselibs.conf: with the update to 10.2+0.93+1, the sonum was
  bumped to 2, but baselibs was forgotten.
* Fri Feb  6 2015 olaf@aepfle.de
- Include all detected libs in pkg-config --libs output
  to fix build of ffmpeg in SLE_11
  libcdio-paranoia.libcdio_cddda-libs.patch
* Wed Feb  4 2015 p.drouand@gmail.com
- Update to version 10.2+0.93+1
  * Add cdio_cddap_free_messages function
  * Start using Coverty Static analysis
  * Update OS versions we recognize
  * Upgrade libcdio-paranoia to paranoia version 10.2
  * Bug fixes on MS Windows and other bug fixes
  * Redo license so everything is GPL3
- Fix license tag; now released under GPL-3.0
- Remove libcdio-paranoia-10.2+0.90-include_path.patch; fixed on
  upstream
- Bump sonum to 2
* Sun Feb 17 2013 reddwarf@opensuse.org
- Update to version 10.2+0.90
  * First stable version
- Add libcdio-paranoia-10.2+0.90-include_path.patch
* Sat May 19 2012 davejplater@gmail.com
- Created libcdio-paranoia which used to be part of the libcdio
  package. see bnc#756564.
